com.independentsoft.exchange

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - com.independentsoft.exchange.EventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventType>

      public enum EventType
      extends java.lang.Enum<EventType>

  Used to create a subscription and identifies an event type to be reported in a notification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COPIED` Represents an event where an item or folder is copied.
    `CREATED` Represents an event where an item or folder is created.
    `DELETED` Represents an event where an item or folder is deleted.
    `FREE_BUSY_CHANGED` Represents an event in which an item's free/busy time has changed.
    `MODIFIED` Represents an event where an item or folder is modified.
    `MOVED` Represents an event where an item or folder is moved from one parent folder to another parent folder.
    `NEW_MAIL` Represents an event triggered by a new mail item in a mailbox.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COPIED

          public static final EventType COPIED

      Represents an event where an item or folder is copied.

    - #### CREATED

          public static final EventType CREATED

      Represents an event where an item or folder is created.

    - #### DELETED

          public static final EventType DELETED

      Represents an event where an item or folder is deleted.

    - #### MODIFIED

          public static final EventType MODIFIED

      Represents an event where an item or folder is modified.

    - #### MOVED

          public static final EventType MOVED

      Represents an event where an item or folder is moved from one parent folder to another parent folder.

    - #### NEW_MAIL

          public static final EventType NEW_MAIL

      Represents an event triggered by a new mail item in a mailbox.

    - #### FREE_BUSY_CHANGED

          public static final EventType FREE_BUSY_CHANGED

      Represents an event in which an item's free/busy time has changed.

  - ### Method Detail

    - #### values

          public static EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType c : EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null